### Method

# Meta Window get_tile_match

#### Declaration [src]

    MetaWindow*
    meta_window_get_tile_match (
      MetaWindow* window
    )

#### Description [src]

Returns the matching tiled window on the same monitor as `window`. This is the topmost tiled window in a complementary tile mode that is:

- on the same monitor;
- on the same workspace;
- spanning the remaining monitor width;
- there is no 3rd window stacked between both tiled windows that’s partially visible in the common edge.

#### Return value

Type: `MetaWindow`

The matching tiled window or `NULL` if it doesn’t exist.

The returned data is owned by the instance.
The return value can be `NULL`.